Show / Hide Table of Contents

# Enum PayloadType

All parsed types of SeString payloads.

###### Namespace: Dalamud.Game.Chat.SeStringHandling

###### Assembly: Dalamud.dll

##### Syntax

    public enum PayloadType

### Fields

Name | Description
--- | ---
AutoTranslateText | An SeString payload representing an auto-translate dictionary entry.
Item | An SeString payload representing an Item link.
MapLink | An SeString payload representing a map position link, such as from <flag> or <pos>.
Player | An SeString payload representing a player link.
RawText | An SeString payload representing raw, typed text.
Status | An SeString payload representing an Status Effect link.
UIForeground | An SeString payload representing a text foreground color.
UIGlow | An SeString payload representing a text glow color.
Unknown | An SeString payload representing any data we don't handle.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()